petsc-3.12.1 2019-10-22
Report Typos and Errors

# DMPlexCreateExodus

Create a DMPlex mesh from an ExodusII file ID.

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexCreateExodus(MPI_Comm comm, PetscInt exoid, PetscBool interpolate, DM *dm)

Collective

### Input Parameters

| comm | - The MPI communicator
| exoid | - The ExodusII id associated with a exodus file and obtained using ex_open
| interpolate | - Create faces and edges in the mesh

### Output Parameter

dm -The DM object representing the mesh

### See Also

DMPLEX, DMCreate()

### Level

beginner

### Location

src/dm/impls/plex/plexexodusii.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages